# Coverage Test Result

## Description

Metrics relating to the running and the results of test runs.

## Measures

| Name                                   | Title                | Description                                   |
| -------------------------------------- | -------------------- | --------------------------------------------- |
| `CoverageTestResult.count`             | Count                | Total number of coverage test result entries. |
| `CoverageTestResult.minDuration`       | Min Duration         | Minimum duration of the test results.         |
| `CoverageTestResult.maxDuration`       | Max Duration         | Maximum duration of the test results.         |
| `CoverageTestResult.avgDuration`       | Avg Duration         | Average duration of the test results.         |
| `CoverageTestResult.totalNumberOfPass` | Total Number of Pass | Total number of tests passing.                |
| `CoverageTestResult.totalNumberOfFail` | Total Number of Fail | Total number of tests failing.                |
| `CoverageTestResult.totalPassPercent`  | Total Pass Percent   | Percentage of passing tests.                  |
| `CoverageTestResult.totalFailPercent`  | Total Fail Percent   | Percentage of failing tests.                  |

## Dimensions

| Name                                 | Title            | Description                                         |
| ------------------------------------ | ---------------- | --------------------------------------------------- |
| `CoverageTestResult.id`              | Id               |                                                     |
| `CoverageTestResult.testResultId`    | Test Result Id   | Unique identifier for the test result.              |
| `CoverageTestResult.testId`          | Test Id          | Test identifier linked with the result.             |
| `CoverageTestResult.commitHash`      | Commit Hash      | The commit hash for the test result.                |
| `CoverageTestResult.branch`          | Branch           | The branch associated with the test result.         |
| `CoverageTestResult.name`            | Name             | Name of the test result.                            |
| `CoverageTestResult.outcome`         | Outcome          | The outcome of the test result.                     |
| `CoverageTestResult.outcomeCategory` | Outcome Category | Category of the test outcome (e.g., Pass, Failure). |
| `CoverageTestResult.duration`        | Duration         | Duration of the test execution.                     |
| `CoverageTestResult.automated`       | Automated        | Indicates whether the test result was automated.    |
| `CoverageTestResult.timeInterval`    | Time of Test Run | Timestamp of when the test result was recorded.     |
| `CoverageTestResult.pullRequest`     | Pull Request     | Pull request identifier related to the test result. |

## Connected Cubes

All fields belonging to the following cubes are also reachable from CoverageTestResult:

* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Coverage Commit](/advanced/datastudio-data-model/models/coveragecommit.md)
* [Coverage Custom Fields](/advanced/datastudio-data-model/models/coveragecustomfield.md)
* [Coverage File](/advanced/datastudio-data-model/models/coveragefile.md)
* [Coverage Labels](/advanced/datastudio-data-model/models/coveragelabel.md)
* [Coverage Test Result](/advanced/datastudio-data-model/models/coveragetestresult.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/coveragetestresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
